#!/bin/bash

# Define the target date (11th May 2027)
target_date="2027-05-11 00:00:00"

# Get the current timestamp
current_timestamp=$(date +%s)

# Calculate the seconds remaining
seconds_remaining=$(( $(date -d "$target_date" +%s) - current_timestamp ))

# Calculate days, hours, minutes, and seconds
days=$(( seconds_remaining / 86400 ))
seconds_remaining=$(( seconds_remaining % 86400 ))
hours=$(( seconds_remaining / 3600 ))
seconds_remaining=$(( seconds_remaining % 3600 ))
minutes=$(( seconds_remaining / 60 ))
seconds=$(( seconds_remaining % 60 ))

# Output the result
echo "${days} d ${hours} h ${minutes} m ${seconds} s"
